Upgrade to 6.10 breaks icedtea.

Issues related to applications and software problems
Post Reply
jscarville
Posts: 111
Joined: 2014/06/17 21:50:37

Upgrade to 6.10 breaks icedtea.

Post by jscarville » 2018/07/12 18:37:52

I recently updated several CentOS 6 machines to 6.10. Something in that upgrade seems to have broken iced-tea. It stops with following error message:

Code: Select all

Exception in thread "main" java.lang.UnsupportedClassVersionError: net/sourceforge/jnlp/runtime/Boot : Unsupported major.minor version 52.0
	at java.lang.ClassLoader.findBootstrapClass(Native Method)
	at java.lang.ClassLoader.findBootstrapClassOrNull(ClassLoader.java:1073)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:414)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:412)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:323)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
	at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
AFAIK the "Unsupported major.minor version" is casued by a mismatch between the java version the program expects and the system provides. I have tried to run it with java-1.7.0-openjdk and java-1.8.0-openjdk as well the "official" versions of both 7 and 8 from Oracle. All of them give me the same error.

This doesn't affect any of the servers but there are still a few CentOS 6 workstations that do need icedtea.

chemal
Posts: 421
Joined: 2013/12/08 19:44:49

Re: Upgrade to 6.10 breaks icedtea.

Post by chemal » 2018/07/13 00:30:50

With firefox 60 (already released by RH), icedtea is dead anyway.

jscarville
Posts: 111
Joined: 2014/06/17 21:50:37

Re: Upgrade to 6.10 breaks icedtea.

Post by jscarville » 2018/07/13 14:28:06

Are you sure? It is my understanding that Firefox 60 ESR dropped all support for running Java in the browser. That would make icedtea or some similar program pretty important if I need to run a Java applet.

User avatar
TrevorH
Forum Moderator
Posts: 23644
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Upgrade to 6.10 breaks icedtea.

Post by TrevorH » 2018/07/13 15:12:07

The description of icedtea-web via yum says that it is a web browser plugin and that is most likely no longer going to function on firefox 60+. The javaws portion of it will presumably continue to work though I'd use the Oracle jdk/jre instead if it were me.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

jscarville
Posts: 111
Joined: 2014/06/17 21:50:37

Re: Upgrade to 6.10 breaks icedtea. (Solved)

Post by jscarville » 2018/07/13 17:26:59

Thanks.

It just will not run with Firefox 60 ESR on any platform I tested but I finally got it working using Chrome on Windows.

I remember back about 1995 I thought Java was a good idea. I was wrong. It has morphed into "write once; debug everywhere."

I am marking this "solved".

Post Reply